import pyscipopt
import argparse
import time
import numpy as np
from tqdm import tqdm
import pickle

def main():
    all_file_list = ['cvs08r139-94','cvs16r70-62','cvs16r89-60','cvs16r106-72','cvs16r128-89']
    start = [1113,1121,1425,1697,2049]
    end = [1865,2113,2385,2849,3473]

    for idx in range(5):
        expression = ""
        for i in range(start[idx], end[idx]):
            expression += f" + 0 x{i}"
        file_path = './'+str(all_file_list[idx])+'.txt'
        with open(file_path, 'w') as file:
            file.write(expression)

if __name__ == '__main__':
    main()